> ## Documentation Index
> Fetch the complete documentation index at: https://openphone-dev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a task

> Updates the task's title and description



## OpenAPI

````yaml https://openphone-public-api-dev.s3.us-west-2.amazonaws.com/public/openphone-public-api-v1-dev.json put /v1/tasks/{taskId}
openapi: 3.1.0
info:
  title: Quo Public API
  version: 1.0.0
  description: API for connecting with Quo.
  contact:
    name: Quo Support
    email: support@quo.com
    url: https://support.quo.com/
  termsOfService: https://www.quo.com/terms
servers:
  - description: Development server
    url: https://dev-public-api.openphone.dev
security:
  - apiKey: []
tags:
  - description: Operations related to the organization's A2P registration
    name: A2P Registration
  - description: Operations related to calls placed by an AI agent
    name: Agent Calls
  - description: Operations related to text conversations held by an AI agent
    name: Agent Conversations
  - description: Operations related to calls
    name: Calls
  - description: >-
      Operations related to call summaries, including AI-generated summaries and
      Sona voice assistant summaries
    name: Call Summaries
  - description: >-
      Operations related to call transcripts, including AI-generated transcripts
      and Sona voice assistant transcripts
    name: Call Transcripts
  - description: Operations related to contacts
    name: Contacts
  - description: Operations related to contact shares
    name: Contact Shares
  - description: Operations related to contact notes
    name: Contact Notes
  - description: Operations related to contact properties
    name: Contact Properties
  - description: Operations related to conversations
    name: Conversations
  - description: Operations related to workspace invitations
    name: Invites
  - description: Operations related to text messages
    name: Messages
  - description: Operations related to the organization
    name: Organization
  - description: Operations related to phone numbers
    name: Phone Numbers
  - description: Operations related to users
    name: Users
  - description: Operations related to webhooks
    name: Webhooks
  - description: >-
      Operations related to webhook events, including delivery history and test
      events
    name: Webhook Events
paths:
  /v1/tasks/{taskId}:
    put:
      tags:
        - Tasks
      summary: Update a task
      description: Updates the task's title and description
      operationId: updateTask_v1
      parameters:
        - in: path
          name: taskId
          required: true
          schema:
            type: string
            pattern: ^TK(.*)$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - title
                - description
              properties:
                title:
                  type: string
                  description: The title of the task.
                  examples:
                    - Follow up with customer
                  example: Follow up with customer
                description:
                  type: string
                  description: The description of the task.
                  examples:
                    - Discuss pricing and onboarding next steps.
                  example: Discuss pricing and onboarding next steps.
              additionalProperties: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - taskId
                      - revision
                    properties:
                      taskId:
                        type: string
                        pattern: ^TK(.*)$
                      revision:
                        type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - code
                  - status
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  code:
                    type: string
                    const: '0600400'
                  status:
                    type: number
                    const: 400
                  docs:
                    type: string
                    const: https://quo.com/docs
                  title:
                    type: string
                    const: Bad Request
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    required:
                      - error
                    properties:
                      error:
                        type: object
                        required:
                          - message
                          - key
                        properties:
                          message:
                            type: string
                          key:
                            type: string
                            const: Unauthorized
                          trace:
                            type: string
                  - type: object
                    required:
                      - message
                      - code
                      - status
                      - docs
                      - title
                    properties:
                      message:
                        type: string
                      code:
                        type: string
                        const: '0600401'
                      status:
                        type: number
                        const: 401
                      docs:
                        type: string
                        const: https://quo.com/docs
                      title:
                        type: string
                        const: Unauthorized
                      trace:
                        type: string
                      errors:
                        type: array
                        items:
                          type: object
                          required:
                            - path
                            - message
                            - schema
                          properties:
                            path:
                              type: string
                            message:
                              type: string
                            value: {}
                            schema:
                              type: object
                              required:
                                - type
                              properties:
                                type:
                                  type: string
        '402':
          description: Open Tasks Limit Reached
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - code
                  - status
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  code:
                    type: string
                    const: '0600402'
                  status:
                    type: number
                    const: 402
                  docs:
                    type: string
                    const: https://quo.com/docs
                  title:
                    type: string
                    const: Open Tasks Limit Reached
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - code
                  - status
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  code:
                    type: string
                    const: '0600403'
                  status:
                    type: number
                    const: 403
                  docs:
                    type: string
                    const: https://quo.com/docs
                  title:
                    type: string
                    const: Forbidden
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - code
                  - status
                  - docs
                  - title
                properties:
                  message:
                    type: string
                  code:
                    type: string
                    const: '0600404'
                  status:
                    type: number
                    const: 404
                  docs:
                    type: string
                    const: https://quo.com/docs
                  title:
                    type: string
                    const: Not Found
                  trace:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                        - schema
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                        value: {}
                        schema:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
        '500':
          description: Unexpected Error | Unknown error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/UnexpectedError4'
                  - $ref: '#/components/schemas/UnknownError11'
      security:
        - apiKey: []
components:
  schemas:
    UnexpectedError4:
      type: object
      required:
        - message
        - code
        - status
        - docs
        - title
      properties:
        message:
          type: string
        code:
          type: string
          const: '0600500'
        status:
          type: number
          const: 500
        docs:
          type: string
          const: https://quo.com/docs
        title:
          type: string
          const: Unexpected
        trace:
          type: string
        errors:
          type: array
          items:
            type: object
            required:
              - path
              - message
              - schema
            properties:
              path:
                type: string
              message:
                type: string
              value: {}
              schema:
                type: object
                required:
                  - type
                properties:
                  type:
                    type: string
      title: Unexpected Error
    UnknownError11:
      type: object
      required:
        - message
        - code
        - status
        - docs
        - title
      properties:
        message:
          type: string
        code:
          type: string
          const: '0601500'
        status:
          type: number
          const: 500
        docs:
          type: string
          const: https://quo.com/docs
        title:
          type: string
          const: Unknown
        trace:
          type: string
        errors:
          type: array
          items:
            type: object
            required:
              - path
              - message
              - schema
            properties:
              path:
                type: string
              message:
                type: string
              value: {}
              schema:
                type: object
                required:
                  - type
                properties:
                  type:
                    type: string
      title: Unknown error
  securitySchemes:
    apiKey:
      in: header
      name: Authorization
      type: apiKey

````